PO4A-GETTEXTIZE(1p)

NOME
po4a-gettextize - converte um arquivo original (e suas traduções) para um arquivo PO

SINOPSE
po4a-gettextize -f fmt -m mestre.doc [-l XX.doc] -p XX.po

(XX.po é a saída, e todo o resto é entrada)

DESCRIÇÃO
A missão do projeto po4a (em inglês, PO for anything) é facilitar as traduções (e o mais interessante, a manutenção de traduções) usando ferramentas de gettext em áreas onde elas não eram esperadas, como documentação.

O script po4a-gettextize está encarregado da conversão de arquivos de documentação para arquivos PO. Se você começar uma nova tradução, po4a-gettextize vai extrair as strings traduzíveis do arquivo de documentação e escrever um arquivo POT dele.

Se você já tem um arquivo traduzido, po4a-gettextize vai tentar extrair as traduções contidas nele e colocá-las no lugar do arquivo PO escrito. Esteja avisado que muito pouca inteligência é usada neste processo: a enésima string do arquivo traduzido deve ser a tradução da enésima string do original. Se esse não for o caso, você está morto. É por isso que é importante que ambos arquivos compartilhem exatamente a mesma estrutura.

Porém, po4a-gettextize vai diagnosticar sua morte detectando qualquer dessincronização entre arquivos e relatando onde eles ocorrem. Neste caso, você deveria editar manualmente os arquivos para resolver a disparidade relatada. Mesmo que nenhum erro tenha sido relatado, você deveria verificar cuidadosamente se aquele arquivo PO gerado está correto. (i.e. que cada msgstr é a tradução do msgid associado, e não antes ou depois).

Mesmo que o script consiga fazer seu trabalho sem qualquer problema aparente, ela ainda sim marca todas as mensagens traduzidas como aproximadas ("fuzzy"), para certificar-se de que o tradutor vai dar uma olhada nelas e detectar qualquer problema restante.

Se o documento mestre possui caracteres não-ASCII, o novo arquivo PO gerado vai estar in UTF-8, para permitir caracteres fora do padrão em uma forma independente da cultura. Do contrário (se o documento mestre estiver completamente em ASCII), o PO gerado vai usar a codificação do documento de entrada traduzido.

OPÇÕES

-f, --format
    Formato da documentação que você quer manipular. Use a opção --help-format para ver a lista de formatos disponíveis.

-m, --master
    Arquivo contendo o documento mestre para traduzir. Você pode usar esta opção múltiplas vezes, se você quiser usar gettextize em múltiplos documentos.

-M, --master-charset
    Conjunto de caracteres do arquivo contendo o documento para traduzir.

-l, --localized
    Arquivo contendo o documento localizado (traduzido). Se você forneceu múltiplos arquivos mestre, você pode desejar fornecer múltiplos arquivos localizados usando esta opção mais de uma vez.

-L, --localized-charset
    Conjunto de caracteres do arquivo contendo o documento localizado.

-p, --po
    Arquivo para o qual a mensagem deve ser escrita. Se não fornecido, o catálogo de mensagens será escrito para a saída padrão.

-o, --option
    Opções extras para passar o plug-in de formato. Especifique cada opção no formato "nome=valor". Veja a documentação de cada plug-in para mais informações sobre as opções válidas e seus significados.

-h, --help
    Mostra uma mensagem de ajuda.

--help-format
    Lista os formatos de documentação compreendidos pelo po4a.

-V, --version
    Exibe a versão do script e sai.

-v, --verbose
    Aumenta o nível de detalhamento do programa.

-d, --debug
    Imprime algumas informações de depuração.

--msgid-bugs-address e-mail@endereço
    Define o endereço para relatórios de erros em msgids. Por padrão, os arquivos POT criados possuem nenhum campo Report-Msgid-Bugs-To.

--copyright-holder string
    Define o detentor do copyright no cabeçalho do POT. O valor padrão é "Free Software Foundation, Inc."

--package-name string
    Define o nome do pacote para o cabeçalho do POT. O padrão é "PACKAGE".

--package-version string
    Define a versão do pacote do cabeçalho do POT. O padrão é "VERSION".

VEJA TAMBÉM
po4a-normalize(1), po4a-translate(1), po4a-updatepo(1), po4a(7)

AUTORES
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

COPYRIGHT E LICENÇA
Copyright 2002-2012 por SPI, inc.

Esse programa é um software livre; você pode redistribuí-lo e/ou modificá-lo sob os termos da GPL (veja o arquivo COPYING).